Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal
Class PortalObjectURLFactory

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.controller.command.mapper.AbstractURLFactory
                      org.jboss.portal.core.controller.command.mapper.URLFactoryDelegate
                          org.jboss.portal.core.model.portal.PortalObjectURLFactory

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, URLFactory, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class PortalObjectURLFactory

extends URLFactoryDelegate

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`PortalObjectURLFactory()`

Method Summary
`ServerURL` | `doMapping(ControllerContext controllerContext, ServerInvocation invocation, ControllerCommand cmd)` Create an url for the command.
`PortalObjectPathMapper` | `getMapper()`
`java.lang.String` | `getNamespace()`
`java.lang.String` | `getPath()`
`void` | `setMapper(PortalObjectPathMapper mapper)`
`void` | `setNamespace(java.lang.String namespace)`
`void` | `setPath(java.lang.String path)`
`protected void` | `startService()`

Methods inherited from class org.jboss.portal.core.controller.command.mapper.URLFactoryDelegate
`getFactory, setFactory, stopService`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalObjectURLFactory

    public PortalObjectURLFactory()

Method Detail

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### getNamespace

    public java.lang.String getNamespace()

### setNamespace

    public void setNamespace(java.lang.String namespace)

### getMapper

    public PortalObjectPathMapper getMapper()

### setMapper

    public void setMapper(PortalObjectPathMapper mapper)

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `URLFactoryDelegate`
  Throws:
    `java.lang.Exception`

### doMapping

    public ServerURL doMapping(ControllerContext controllerContext,
                               ServerInvocation invocation,
                               ControllerCommand cmd)

  Description copied from interface: `URLFactory`
  Create an url for the command.

    `invocation` - the invocation
    `cmd` - the command to encode @return the server url or null if this mapper cannot peform this operation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD